import { ConnectedField } from "effector-forms";
import { ReactNode } from "react";
import { SelectProps } from "antd";
declare type SelectFieldProps = SelectProps & {
    field: ConnectedField<any>;
    errorText?: any;
    label?: string;
    children: ReactNode;
};
export declare const SelectField: {
    (props: SelectFieldProps): JSX.Element;
    Item(props: SelectFieldItemProps): JSX.Element;
};
declare type SelectFieldItemProps = {
    value: string | number;
    label?: string | number;
};
export {};
