"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeaderSinglePage = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var styled_components_1 = __importDefault(require("styled-components"));
var HeaderSinglePage = function (props) {
    return ((0, jsx_runtime_1.jsxs)(Wrapper, { children: [(0, jsx_runtime_1.jsxs)(TopRow, { children: [(0, jsx_runtime_1.jsxs)(Heading, { children: [(0, jsx_runtime_1.jsx)(Title, { children: props.title }), " ", (0, jsx_runtime_1.jsx)(SubTitle, { children: props.subtitle })] }), (0, jsx_runtime_1.jsx)(Buttons, { children: props.buttons })] }), (0, jsx_runtime_1.jsx)(BottomRow, { children: props.children })] }));
};
exports.HeaderSinglePage = HeaderSinglePage;
var TopRow = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: flex;\n  align-content: space-between;\n"], ["\n  display: flex;\n  align-content: space-between;\n"])));
var BottomRow = styled_components_1.default.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n\n"], ["\n\n"])));
var Heading = styled_components_1.default.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  display: flex;\n  gap: 20px;\n"], ["\n  display: flex;\n  gap: 20px;\n"])));
var Title = styled_components_1.default.h2(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n\n"], ["\n\n"])));
var SubTitle = styled_components_1.default.h4(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n\n"], ["\n\n"])));
var Buttons = styled_components_1.default.div(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n\n"], ["\n\n"])));
var Wrapper = styled_components_1.default.div(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n  position: sticky;\n  top: 0;\n  z-index: 100;\n  background: #fff;\n  display: flex;\n  flex-direction: column;\n  padding: 20px;\n  border-bottom: 1px solid #ddd;\n  box-shadow: 0 20px 20px #0000000f;\n  justify-content: space-between;\n"], ["\n  position: sticky;\n  top: 0;\n  z-index: 100;\n  background: #fff;\n  display: flex;\n  flex-direction: column;\n  padding: 20px;\n  border-bottom: 1px solid #ddd;\n  box-shadow: 0 20px 20px #0000000f;\n  justify-content: space-between;\n"])));
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7;
