"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SelectField = void 0;
var react_1 = require("react");
var jsx_runtime_1 = require("react/jsx-runtime");
var antd_1 = require("antd");
var styled_components_1 = __importDefault(require("styled-components"));
var SelectField = function (props) {
    var _a;
    return ((0, jsx_runtime_1.jsxs)(Wrapper, { children: [(0, jsx_runtime_1.jsx)("label", { children: props.label }), (0, jsx_runtime_1.jsx)(antd_1.Select, __assign({}, props, { value: props.field.value, onChange: function (option) { return props.field.onChange(option); } }, { children: props.children })), (0, jsx_runtime_1.jsx)("div", { children: props.field.errorText((_a = {},
                    _a[props.field.name] = props.errorText,
                    _a)) })] }));
};
exports.SelectField = SelectField;
exports.SelectField.Item = function (props) {
    return ((0, react_1.createElement)(antd_1.Select.Option, __assign({}, props, { value: props.value, key: props.value }), props.label ? props.label : props.value));
};
var Wrapper = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\nwidth: 100%;\ndisplay: flex;\nflex-direction: column;\n"], ["\nwidth: 100%;\ndisplay: flex;\nflex-direction: column;\n"])));
var templateObject_1;
