/// <reference types="react" />
import { TableProps as TablePropsAntd, TableColumnProps as TableColumnPropsAntd } from "antd";
declare type TableProps = TablePropsAntd<any> & {
    singlePath?: any;
    dataCount?: any;
    onRowClick: (record: any) => typeof record;
    paginationChange: (pagination: {
        page: string | number;
        limit: string | number;
    }) => typeof pagination;
};
export declare const Table: {
    (props: TableProps): JSX.Element;
    Column(props: TableColumnPropsAntd<any>): JSX.Element;
};
export {};
