"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Table = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var antd_1 = require("antd");
var Table = function (props) {
    return ((0, jsx_runtime_1.jsx)(antd_1.Table, __assign({}, props, { bordered: true, 
        //loading={true}
        rowKey: function (record) { return record.id; }, pagination: {
            total: props.dataCount,
            showSizeChanger: true,
            onChange: function (page, pageSize) {
                props.paginationChange({ page: page, limit: pageSize });
            }
        }, onRow: function (record) {
            return {
                onClick: function () {
                    props.onRowClick(record);
                }
            };
        } }, { children: props.children })));
};
exports.Table = Table;
exports.Table.Column = function (props) {
    return ((0, jsx_runtime_1.jsx)(antd_1.Table.Column, __assign({}, props)));
};
