var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "react/jsx-runtime";
import { Table as TableAntd, } from "antd";
export var Table = function (props) {
    return (_jsx(TableAntd, __assign({}, props, { bordered: true, 
        //loading={true}
        rowKey: function (record) { return record.id; }, pagination: {
            total: props.dataCount,
            showSizeChanger: true,
            onChange: function (page, pageSize) {
                props.paginationChange({ page: page, limit: pageSize });
            }
        }, onRow: function (record) {
            return {
                onClick: function () {
                    props.onRowClick(record);
                }
            };
        } }, { children: props.children })));
};
Table.Column = function (props) {
    return (_jsx(TableAntd.Column, __assign({}, props)));
};
